fglrx-driver (1:15.9-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 12 Oct 2015 15:58:19 +0200

fglrx-driver (1:15.9-2) unstable; urgency=medium

  * amd-opencl-icd: Ship libamdocl12cl{32,64}.so.  (Closes: #793488)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 04 Oct 2015 19:58:49 +0200

fglrx-driver (1:15.9-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release 15.9 (2015-09-15) (15.201.1151).  (Closes: #799439)
  * Use signature from 15.7.
  * Update watch file.
  * Update lintian overrides.

  [ Patrick Matthäi ]
  * Refresh patch 04-3.17rc6-no_hotplug.
  * Rewrite patch 05-4.0.0-build.
  * Drop merged patch 06-4.0.0-build-2.
  * Rewrite patch 07-4.1.0-build.
  * Rewrite patch 08-4.2.0-build.
  * Rewrite patch 09-4.2.0-build.fpregs_active.
  * Rewrite patch 10-4.2.0-build.copy_xregs_to_kernel.
  * Rewrite patch 11-4.1.0-gpl-only.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 27 Sep 2015 11:15:57 +0200

fglrx-driver (1:15.7-3) unstable; urgency=high

  * Add patch 11-4.1.0-gpl-only to finaly allow fglrx to build with Linux 4.1.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 01 Sep 2015 19:08:32 +0200

fglrx-driver (1:15.7-2) unstable; urgency=high

  [ Andreas Beckmann ]
  * Drop libxvbaw-dev package.
  * fglrx-driver, fglrx-kernel-*: Report in the package description the latest
    tested Linux version that can build the kernel module.

  [ Patrick Matthäi ]
  * Add Ubuntu patch 06-4.0.0-build-2.
  * Add Ubuntu patch 07-4.1.0-build to fix a FTBFS with Linux 4.1.
    Closes: #795222, #795230
  * Add Ubuntu patches 08-4.2.0-build, 09-4.2.0-build.fpregs_active and
    10-4.2.0-build.copy_xregs_to_kernel so fglrx may work with Linux 4.2.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 01 Sep 2015 10:20:16 +0200

fglrx-driver (1:15.7-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * libfglrx-amdxvba1: Can be used as a va-driver backend.
    - Provides: va-driver since libXvBAW.so.1 now contains the required
      entrypoints.
    - Conflicts/Provides/Replaces: xvba-va-driver since that wrapper is no
      longer needed.
    - Ship dri/{xvba,fglrx}_drv_video.so symlinks.
  * Update list of supported models.
  * Create /usr/src/fglrx.tar.bz2 reproducibly.

  [ Patrick Matthäi ]
  * New upstream release 15.7 (2015-07-0?) (15.20.1046).
    Closes: #791905
    - Refresh hunky patch 04-3.17rc6-no_hotplug.
    - Rewrite patch 05-4.0.0-build.
    - Xorg 1.17 is supported now.
      Closes: #784903
  * Use signature from upstream package.
  * Remove breaks between fglrx-driver and libgl1-fglrx-glx, since it confuses
    dpkg.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 09 Jul 2015 20:08:02 +0200

fglrx-driver (1:15.5-1) unstable; urgency=low

  * New upstream release 15.5 (2015-06-02) (15.101.1001).
    Closes: #790794
    - Adjust some lintian overrides.
  * Updated dutch translation from Frans Spiesschaert.
    Closes: #776756
  * Adjust patch 05-4.0.0-build so it works again.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 07 Jul 2015 16:42:47 +0200

fglrx-driver (1:14.12-2) unstable; urgency=low

  [ Andreas Beckmann ]
  * fglrx_3.17rc6-no_hotplug.patch: New patch, add support for Linux >= 3.17.
    Found in the kanotix package.  (Closes: #768397)

  [ Michael Gilbert ]
  * Remove myself from the uploaders list.

  [ Patrick Matthäi ]
  * Uploading to unstable.
  * Rename patches (correct order).
  * Add patch 05-4.0.0-build from Michael Rasmussen to fix a FTBFS with Linux
    4.0.0. Thanks!
    Closes: #785150
  * Remove unused lintian override.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 21 May 2015 19:56:10 +0200

fglrx-driver (1:14.12-1) experimental; urgency=medium

  * New upstream release 14.12 (2014-12-09) (14.501.1003).  (Closes: #764523)
  * Update watch file, thanks to Bart Martens.
  * amd-opencl-dev: Bump the Breaks/Replaces on nvidia-libopencl1 to cover new
    upstream releases of nvidia-graphics-drivers-legacy-304xx in wheezy.
  * New Dutch (nl) debconf translation thanks to Frans Spiesschaert.
    (Closes: #767493)
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 17 Dec 2014 22:22:23 +0100

fglrx-driver (1:14.9+ga14.201-2) unstable; urgency=medium

  * amd-libopencl1: Fix symbols file.  (Closes: #763636)
  * amd-libopencl1: Remove obsolete shlibs file that prevented proper
    dependency generation for amd-clinfo.
  * d/libfglrx.{preinst,templates}: Use more debconf substitution variables to
    allow sharing the translations with nvidia-driver and easy switching to
    different legacy drivers.
  * Adjust all debconf translations to use the substitution variables.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 21 Oct 2014 15:23:24 +0200

fglrx-driver (1:14.9+ga14.201-1) unstable; urgency=medium

  * This release is made of 14.6~ga14.201-1. The upload of 14.9-1 was an error
    and is not compatible with xorg 1.16! I am sorry.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 09 Oct 2014 20:05:33 +0200

fglrx-driver (1:14.9-1) unstable; urgency=medium

  * New upstream release.
    Closes: #764523
  * Bump Standards-Version to 3.9.6 (no changes required).
  * Add some more spelling-error-in-binary lintian overrides.
  * Overwrite false positive version-substvar-for-external-package lintian
    errors.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 09 Oct 2014 18:52:58 +0200

fglrx-driver (1:14.6~ga14.201-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream beta release 14.6-beta-v1.0-jul11 (2014-07-14) (14.20).
    (Closes: #759338)
  * amd-opencl-dev: Add missing Breaks/Replaces for taking over libOpenCL.so
    symlink.  (Closes: #760376)

  [ Patrick Matthäi ]
  * Add turkish debconf translation.
    Closes: #757496
  * New upstream release provided by AMD with xserver 1.16 support. The full
    release name is 14.4.2+GA14.201.1006.1002.
    - Drop merged linux3.14 patch.
    - Provide xorg-video-abi-18.
      Closes: #754249
  * Uploading to unstable.
  * Remove unused override from amd-opencl-icd package.
  * Improve amd-opencl-icd short description a little bit to fix the lintian
    warning description-is-pkg-name.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 17 Sep 2014 19:04:14 +0200

fglrx-driver (1:14.6~betav1.0-1) experimental; urgency=medium

  [ Michael Gilbert ]
  * New upstream beta release 14.6-beta-v1.0-may23 (2014-0?-??) (14.20).
    (Closes: #749973)

  [ Andreas Beckmann ]
  * Update list of supported models.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 08 Jun 2014 20:46:09 +0000

fglrx-driver (1:14.4.2-1) unstable; urgency=medium

  * New upstream release 14.4-rev2 (2014-05-23) (14.10.1006.1001).
  * Use the signature from 14.4.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 24 May 2014 15:39:45 +0200

fglrx-driver (1:14.4-2) unstable; urgency=medium

  * linux3.14.patch: New patch, add support for Linux 3.14.  (Closes: #746162)
  * Drop Breaks: make (= 3.82-1), fixed in make/experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 30 Apr 2014 20:05:02 +0200

fglrx-driver (1:14.4-1) unstable; urgency=medium

  * New upstream release 14.4 (2014-04-25) (14.10.1006).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 28 Apr 2014 22:15:24 +0200

fglrx-driver (1:14.4~rc1.0.apr17-1) unstable; urgency=medium

  * New upstream release candidate 14.4-rc-v1.0-apr17 (2014-04-21) (14.10).
  * libfglrx.preinst: Unify case before comparing PCI IDs, thanks to
    Jo Shields.  (Closes: #742452)
  * Fix upgrades from multiarch-enabled wheezy to jessie by converting
    fglrx-driver Breaks: libgl1-fglrx-glx (>> this) into
    libgl1-fglrx-glx Breaks: fglrx-driver (<< this) which apt (from wheezy)
    seems to cope much better with, thanks to Simon McVittie
    (Closes: #745622).
  * 10-iommu.patch: Remove, fixed upstream.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 23 Apr 2014 17:16:24 +0200

fglrx-driver (1:14.3~beta1.0-1) unstable; urgency=medium

  * New upstream beta release 14.3-beta v1.0 (closes: #742234).
    - Fixes xorg segfault issues (closes: #739054).
  * Remove debian/substvars in clean rule.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 21 Mar 2014 03:48:09 +0000

fglrx-driver (1:14.2~beta1.3-1) unstable; urgency=medium

  * New upstream beta release 14.2-beta v1.3 (2014-02-25) (13.35.1005).
    (Closes: #740182)
  * get-orig-source: Use 'wget --referer www.amd.com' for downloading.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 28 Feb 2014 13:21:13 +0100

fglrx-driver (1:14.1~beta1.3-1) unstable; urgency=medium

  * New upstream beta release 14.1-beta v1.3 (2014-02-01) (13.35.1005).
    (Closes: #738622, #708577)
    - AMD A10-7850K, AMD A10-7700K
    - Xserver 1.15 support
    - Kernel 3.13 support
  * amd-libopencl1: Now supports OpenCL 2.0, too.
  * linux3.9.patch, linux3.12.patch, linux3.13.patch: Remove, fixed upstream.
  * Add xorg-video-abi-15 as alternate dependency.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 13 Feb 2014 14:56:04 +0100

fglrx-driver (1:13.12-4) unstable; urgency=medium

  * Collect more package information when reporting bugs.
  * Restore libgl1-fglrx-glx-i386 package.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 30 Jan 2014 02:26:24 +0100

fglrx-driver (1:13.12-3) unstable; urgency=medium

  * Fix IOMMU checks (closes: #729765).
  * Remove transitional libgl1-fglrx-glx-i386 package.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 05 Jan 2014 14:12:53 +0000

fglrx-driver (1:13.12-2) unstable; urgency=medium

  * Add a manpage for atigetsysteminfo.
  * Support linux 3.11 (closes: #729765).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 04 Jan 2014 19:11:42 +0000

fglrx-driver (1:13.12-1) unstable; urgency=medium

  * New upstream stable release:
    - Virtual consoles work again (closes: #712527).
  * Apply patches to support linux up to 3.13 (closes: #729765).

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 31 Dec 2013 02:22:07 +0000

fglrx-driver (1:13.11~betav9.4-1) experimental; urgency=low

  * New upstream beta release 13.11-beta V9.4 (2013-11-22) (13.25.18).
  * Enable building the libgl1-fglrx-glx-i386 package.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 02 Dec 2013 00:49:57 +0100

fglrx-driver (1:13.11~betav6-1) experimental; urgency=low

  * New upstream beta release 13.11-beta6 (2013-10-25) (13.25.18).
  * Merge changes from 1:13.4-4.  (Closes: #699879, #695884, #718220)
  * Disable building the NEW libgl1-fglrx-glx-i386 package.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 10 Nov 2013 19:18:56 +0100

fglrx-driver (1:13.11~betav1-1) experimental; urgency=low

  * New upstream beta release 13.11-betav1 (2013-10-01).
  * Drop /proc permissions patch, which is now applied upstream.
  * Automate signature for beta releases.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 13 Oct 2013 06:44:44 +0000

fglrx-driver (1:13.8~beta1-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.5. No changes needed.
  * Update lintian overrides.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 01 Dec 2013 22:10:19 +0100

fglrx-driver (1:13.8~beta1-2) experimental; urgency=low

  * Support xorg 1.14 (closes: #718724)
  * Fix /proc/ati permissions (closes: #718723).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 04 Aug 2013 19:53:25 +0000

fglrx-driver (1:13.8~beta1-1) experimental; urgency=low

  * New upstream beta release 13.8-beta1 (2013-08-01) (13.20.5).
    (Closes: #718574)
  * Upload to experimental.
  * Drop patches for kernel 3.10 support (fixed upstream).
  * Drop patch 13.4-2013.05.29.diff (only for 13.4).
  * Upstream has removed libSlotMaximizer{Ag,Be}.so
  * Import the signature from 13.4.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 04 Aug 2013 00:28:24 +0200

fglrx-driver (1:13.4-4) unstable; urgency=low

  * 13.4-2013.05.29.diff: New patch containing the changes from upstream
    re-release 13.4 (2013-05-29) (12.104)
  * Make libgl1-fglrx-glx-i386:i386 a real package depending on
    libgl1-fglrx-glx:i386 and set M-A: foreign, s.t. the Recommends in
    libgl1-fglrx-glx:amd64 actually works.
  * Improve support for hybrid graphics that need the fglrx Xserver module and
    the MESA libGL library for igpu operation.  (Closes: #699879)
  * Bump glx-alternative-fglrx dependency to 0.4.1 to ensure the
    /usr/lib/fglrx/igpu alternative is available.
  * amd-opencl-dev: Provides/Conflicts/Replaces: opencl-dev.
  * Prefer amd-opencl-icd over the virtual opencl-icd.  (Closes: #695884)
  * amd-libopencl1: Provide virtual packages libopencl-1.1-1 and
    libopencl-1.2-1 and update description. 
  * amd-libopencl1.symbols: New. Distinguish the necessary dependency on
    libopencl-{1.1,1.2}-1 via the versioned symbols being used.
  * Move the libOpenCL.so symlink from amd-libopencl1 to amd-opencl-dev and
    adjust Depends/Breaks/Replaces accordingly.
  * d/rules{,.defs}: Add support for yet another upstream file naming scheme.
  * Don't explicitly request xz compression - dpkg 1.17 does this by default.
  * Drop empty Description paragraphs that worked around dpkg bug #680871.
  * get-orig-source: Place tarball in current directory.  (Closes: #718220)
  * Update Homepage URLs.
  * debian/module/control.template.in: Sync with debian/control.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 17 Oct 2013 22:18:40 +0200

fglrx-driver (1:13.4-3) unstable; urgency=low

  [ Michael Gilbert ]
  * Update paths to upstream files.
  * Add support for linux 3.10 (closes: #717224).

  [ Andreas Beckmann ]
  * Drop maintainer script code targeting upgrades from before wheezy.
  * Use again the shipped signature file.
  * Simplify importing signature files: Save them as debian/import/signature
    and in debian/rules.defs set SIGNATURE_VERSION = <upstream version>.
  * Update fglrx-legacy-driver information.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 22 Jul 2013 02:32:54 +0000

fglrx-driver (1:13.4-2) unstable; urgency=low

  * Recommend opencl-icd again as preferred alternative.  (Reopens: #695884)
  * Bump glx-alternative-fglrx dependency.
  * Drop transitional packages.
  * Drop Conflicts/Breaks/Replaces that are satisfied in wheezy.
  * Drop versioned Pre-Depends on dpkg. We only support installing on and
    upgrading from wheezy or newer.
  * Use canonical Vcs-* URLs.
  * Update lintian overrides.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 05 May 2013 18:41:26 +0200

fglrx-driver (1:13.4-1) experimental; urgency=low

  [ Michael Gilbert ]
  * New upstream release 13.4 (2013-04-24) (12.104).
    - Drop linux 3.7 and 3.8 patches, now included upstream. (Closes: #705419)
  * Update upstream tarball paths.

  [ Patrick Matthäi ]
  * Add new atigetsysteminfo.sh script.

  [ Daniel Schaal ]
  * Add patch 06-stub-for-agpless-kernel to add stub for missing symbol for
    kernels built without CONFIG_AGP.

  [ Andreas Beckmann ]
  * Add xorg-video-abi-13 as alternate dependency.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 28 Apr 2013 21:33:04 +0000

fglrx-driver (1:13.1-2) experimental; urgency=low

  [ Patrick Matthäi ]
  * Add Ubuntu patch 05-linux-3.8 to add Linux 3.8 support.

  [ Andreas Beckmann ]
  * Update my email address.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 01 Feb 2013 14:08:41 +0100

fglrx-driver (1:13.1-1) experimental; urgency=low

  * New upstream release 13.1 (2013-01-17) (9.012).
    - XServer 1.13 support.
  * Add patch 04-linux-3.7 from Oxan van Leeuwen to fix a FTBFS with Linux 3.7.
    Closes: #697439
  * Adjust debian/rules and debian/watch to the new AMD driver name.
  * Do not recommend opencl-icd package.
    Closes: #695884

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 18 Jan 2013 09:35:11 +0100

fglrx-driver (1:12.11~beta11-1) experimental; urgency=low

  * New upstream beta release 12.11-beta11 (2012-12-03) (9.01.8).
    - Import /etc/ati/signature from 12.10 for this beta release.
  * Do not wrap first uploaders line, dch will think it is an NMU.
  * Adjust amd-opencl-icd lintian overrides. Some spelling errors have been
    fixed.
  * Remove DM-Upload-Allowed control field, it is obsolete.
  * Bump Standards-Version to 3.9.4 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 04 Jan 2013 21:19:47 +0100

fglrx-driver (1:12.10-1) experimental; urgency=low

  * New upstream release 12-10 (2012-10-22) (9.002).
  * debian/watch, debian/rules: Adjust for new upstream release naming scheme.

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 26 Oct 2012 12:38:15 +0200

fglrx-driver (1:12.9~beta-1) experimental; urgency=low

  * New upstream beta 12-9 (2012-09-26) (9.00).
  * debian/watch, debian/rules: Mangle upstream version to substitute dash
    with point, changing the versioning scheme from YY-MM to YY.MM.
  * Drop patch 01-fglrx_kernel_3.5.0, fixed upstream.
  * Update lintian overrides for fixed and newly added misspellings.

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 12 Oct 2012 17:10:18 +0200

fglrx-driver (1:12-8-1) experimental; urgency=low

  * New upstream release 12-8 (2012-08-15) (8.982).
  * Upload to experimental.
  * The radeon backlisting is now handled by glx-alternative-fglrx.
    - Bump glx-alternative-fglrx dependency accordingly.
    - Remove obsolete conffile /etc/modprobe.d/fglrx-driver.conf.
    - Purging fglrx-driver is no longer required for switching to Radeon.
  * debian/watch: Mangle the version of upstream beta releases.
  * debian/rules get-orig-source:
    - Support "funny" upstream naming schemes by allowing RVER and ZVER
      overrides for the version number used in the .run and .zip files.
    - Download beta releases and mangle their version.
    - Repack into .xz, about 24% size reduction over .bz2.
  * Switch .deb compression to xz, saves 12 MB (27 %) on amd64.

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 12 Oct 2012 14:31:20 +0200

fglrx-driver (1:12-6+point-3) unstable; urgency=low

  [ Debconf translations ]
  * Czech (cs): Michal Šimůnek                    (Closes: #688135)
  * Danish (da): Joe Hansen                       (Closes: #689259)
  * French (fr): Christian Perrier                (Closes: #688489)
  * German (de): Holger Wansing                   (Closes: #688496)
  * Italian (it): Beatrice Torracca               (Closes: #689348)
  * Japanese (ja): Kenshi Muto                    (Closes: #688103)
  * Polish (pl): Michał Kułach                    (Closes: #688788)
  * Portuguese (pt): Américo Monteiro             (Closes: #688178)
  * Russion (ru): Yuri Kozlov                     (Closes: #688324)
  * Spanish (es): Javier Fernández-Sanguino Peña  (Closes: #689459)
  * Swedish (sv): Martin Bagge                    (Closes: #688425)

  [ Andreas Beckmann ]
  * libgl1-fglrx-glx:i386: Breaks: ia32-libs (<< 1:0). ia32-libs has added an
    epoch to not clash with updated monolithic packages in proposed-updates.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 03 Oct 2012 15:20:13 +0200

fglrx-driver (1:12-6+point-2) unstable; urgency=low

  * fglrx-driver.postrm: Do not fail if the debconf templates are not
    available (i.e. if the package is unconfigured).
  * fglrx-source: Add Built-Using attribute to the generated module packages
    to record the exact versions of linux and fglrx-driver that were used
    during the build.
  * libgl1-fglrx-glx:i386: Add Breaks: ia32-libs (<< 20120701) because that is
    still shipping /usr/lib32/libGL.so.1 which gets no longer diverted away.
    (Closes: #683853)
  * fglrx-atieventsd: Add Depends: glx-alternative-fglrx to ensure the
    triggers are processed and the glx alternative is properly setup before
    the atieventsd is started.  (See: #684000)
  * Check for "UNSIGNED" in /etc/ati/signature during package build to
    prevent reappearence of bugs like #684702.
  * Update Homepage to point to AMD.
  * Update watch file.
  * README.Debian: Add link to unofficial bugzilla for upstream bug reports.
  * fglrx-driver.NEWS, libfglrx.templates: Mention the availability of
    fglrx-legacy-driver which supports the legacy Radeon HD 2000/3000/4000.
    This package is currently only in experimental but it will be provided in
    wheezy-backports, too.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 19 Sep 2012 12:02:40 +0200

fglrx-driver (1:12-6+point-1) unstable; urgency=low

  [ Debconf translations ]
  * Italian (it): Beatrice Torracca         (Closes: #682263)
  * Japanese (ja): Kenshi Muto              (Closes: #683134)

  [ Patrick Matthäi ]
  * New upstream point release. AMD gave us the permission, to release this
    driver based on internal version 8.982.13.
    - X11 crashes on amd64 are fixed.
      Closes: #675940
    - Drop patch 01-fglrx_kernel_3.4.0, it has been merged by upstream.

  [ Andreas Beckmann ]
  * 01-fglrx_kernel_3.5.0.diff: New patch from Hans-Frieder Vogt, fix kernel
    module build for kernel 3.5.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 30 Jul 2012 18:06:47 +0200

fglrx-driver (1:12-6-3) unstable; urgency=low

  [ Andreas Beckmann ]
  * Fix encoding of cs.po from 2xUTF8 to UTF8.
  * Prepare for co-existence with fglrx-{legacy,firepro}-driver variants:
    - Add more Provides/Conflicts/Replaces on new virtual packages.
    - Add support for variant specific settings in debian/rules.defs.
    - Add support for on-the-fly renaming of debian/*{fglrx => fglrx-$FOO}*.
    - Add information about supported models to the long descriptions.
    - Add support for adding a variant note to the short descriptions.
    - Add ${fglrx} and ${fglrx:Variant} substvars to simplify replacing the
      'fglrx' part of package names with 'fglrx-$FOO'.
  * debian/rules get-orig-source:
    - Add support for zipped installers.
    - Add support for using the internal version as upstream version.
  * Switch to Michael Gilbert's @debian.org address.
  * Remove old conffile /etc/default/fglrx-driver, obsolete since the removal
    of the acpi scripts in 1:12-1-2.
  * Rename libxvbaw1 to libfglrx-amdxvba1, provide libxvbaw1 as a virtual
    package.
  * Convert *-ia32 into transitional packages due to ia32-libs transition:
    - Add multiarch instructions to long descriptions.
    - $pkg-ia32 Recommends: $pkg-i386

  [ Patrick Matthäi ]
  * Use again the signature file from fglrx itself. The imported one is only
    required for beta releases.

  [ Debconf translations ]
  * Danish (da): Joe Hansen                 (Closes: #680361)
  * French (fr): Christian Perrier          (Closes: #679868)
  * Spanish (es): Fernando C. Estrada       (Closes: #680199)

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 18 Jul 2012 20:34:39 +0200

fglrx-driver (1:12-6-2) unstable; urgency=low

  [ Andreas Beckmann ]
  * amd-libopencl1: Provides/Conflicts/Replaces: libopencl1.
    (Closes: #679038)
  * libgl1-fglrx-glx [i386]: Provides new virtual package
    libgl1-fglrx-glx-i386 which gets recommended by fglrx-driver [amd64].
  * libfglrx.preinst: Check for no longer supported GPUs based on R6xx/R7xx
    and ask (with debconf) whether to install the driver anyway.
    Add Pre-Depends: debconf, pciutils.
  * fglrx-driver.{config,postinst}: Present a debconf note about needing
    manual Xorg configuration to enable the fglrx driver.
  * fglrx-driver.postrm: Present a debconf note if the driver was removed, but
    it is still enabled in xorg.conf(.d/).
  * control, rules: Add debconf infrastructure.
  * 01-fglrx_kernel_3.4.0.patch: New patch from Fedora, fix kernel module
    build for kernel 3.4.  (Closes: #678184)

  [ Debconf translations ]
  * Czech (cs): Michal Simunek              (Closes: #678678)
  * Galician (gl): Jorge Barreiro Gonzalez  (Closes: #678463)
  * German (de): Holger Wansing             (Closes: #679480)
  * Polish (pl): Michał Kułach              (Closes: #679435)
  * Portuguese (pt): Américo Monteiro       (Closes: #679575)
  * Russion (ru): Yuri Kozlov               (Closes: #678603)
  * Slovak (sk): Ivan Masár                 (Closes: #678389)
  * Swedish (sv): Martin Bagge              (Closes: #679304)

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 30 Jun 2012 21:23:42 +0200

fglrx-driver (1:12-6-1) unstable; urgency=low

  [ Michael Gilbert ]
  * New upstream release.

  [ Andreas Beckmann ]
  * fglrx-driver: Add NEWS entry about dropped R6XX/R7XX support.
  * bug-script: Include output from glx-alternative-fglrx bug-script
    (information about alternatives and diversions).
  * amd-opencl-icd: Clarify description. This ICD also supports CPUs (from any
    vendor) without requiring the fglrx driver.
  * amd-clinfo: Update description and manpage. This tool reports information
    about all installed ICDs.  (Closes: #679025)
  * Work around debhelper bug #676168 and create shlibs.local on the fly.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 29 Jun 2012 13:49:27 -0400

fglrx-driver (1:12-6~beta-1) unstable; urgency=low

  [ Patrick Matthäi ]
  * New upstream beta release.
    - Support for RadeonHD older than 5xxx are dropped!
      Namely the following series have been removed:
      - RadeonHD 2000
      - RadeonHD 3000
      - RadeonHD 4000
      So we close bug reports where only these older ASICs are involved. Users
      affected by this should switch to the free radeon driver.
      Closes: #672519
    - Support for Xserver 1.12 added, but there are people already reporting
      that Xorg segfaults with this driver, we hope this will be solved in the
      future.
      Closes: #671320
    - Drop patch 04-x86-ftbfs again, the fix was not available in the not
      released 12-5, but it is available with 12-6~beta.
    - Someone reported that the X crash after using amdcccle bug is solved.
      Closes: #672516
    - Import driver signature to disable the watermark.
    - Add new atiapfxx.blb configuration file.
  * Add patch from Alex Opie to use LSB log functions in fglrx-atieventsd init.
    Closes: #673393

  [ Andreas Beckmann ]
  * libgl1-fglrx-glx: Add dependency on libfglrx.  (Closes: #673687)
  * Update 04-x86-ftbfs.diff with changes from Leszek Lesner (from ZevenOS) to
    fix build with kernel 3.3.  (Closes: #670817)
  * Add amd-opencl-dev metapackage.
  * Add lintian overrides for hardening-no-*.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 02 Jun 2012 18:53:44 +0200

fglrx-driver (1:12-4-1) unstable; urgency=low

  * New upstream release.
    - Refresh hunky patch 04-x86-ftbfs.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 28 Apr 2012 11:07:01 +0200

fglrx-driver (1:12-3-1) unstable; urgency=low

  [ Andreas Beckmann ]
  * Fix misspelling in postinst.  (Closes: #663884)

  [ Patrick Matthäi ]
  * New upstream release.
    - Remove unused lintian override no-upstream-changelog on fglrx-glx.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 28 Mar 2012 18:28:51 +0200

fglrx-driver (1:12-2-2) unstable; urgency=high

  [ Patrick Matthäi ]
  * Add patch 04-x86-ftbfs to fix a FTBFS with Linux >= 3.2.8 on 32bit systems.
    Closes: #663107
  * Remove redundant spelling-error-in-binary lintian overrides.

  [ Andreas Beckmann ]
  * Edit libAMDXvBA.so.1.0 and rename libAMDXvBA.cap to allow two different
    versions for i386 and amd64.  (Closes: #663097)
  * Use final copyright-format/1.0 URL.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 10 Mar 2012 00:55:50 +0100

fglrx-driver (1:12-2-1) unstable; urgency=low

  [ Patrick Matthäi ]
  * New upstream release.
    - Drop merged patch 01-CONFIG_X86_XEN.
    - Adjust fglrx-driver lintian overrides.
    - X11 crashes on playing videos with hardware accelerated video backends
      are gone.
      Closes: #649346
    - This release may support 7970 chipsets.
      Closes: #660017
  * Bump Standards-Version to 3.9.3 (no changed needed).

  [ Andreas Beckmann ]
  * Correctly remove obsolete /etc/acpi/fglrx-powermode.sh.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 07 Mar 2012 19:18:55 +0100

fglrx-driver (1:12-1-2) unstable; urgency=low

  [ Andreas Beckmann ]
  * Edit binaries fglrx_drv.so, aticonfig, atieventsd, and amdcccle to replace
    a hardcoded path to /usr/lib64/fglrx/switchlib* on amd64.
  * Install /usr/lib/fglrx/switchlibglx as a file instead of a symbolic link
    to avoid "world writable file" warning because of checking with lstat().
    (Closes: #657604)
  * amd-opencl-icd: Add libSlotMaximizer{Ag,Be}.so libraries.
  * Bump debhelper dependency to 9.
  * Redirect bug reports against module binary packages to fglrx-source.
  * Switch to dh --with dkms. Let dh_dkms generate the maintainer scripts.

  [ Patrick Matthäi ]
  * Include all installed fglrx packages in the bug-script.
  * Remove all acpi scripts. The whole powermanagement is handled by the driver
    itself.
  * Add notice in README.Debian about VariBright.
    Closes: #652334

 -- Andreas Beckmann <debian@abeckmann.de>  Sun, 19 Feb 2012 12:29:54 +0100

fglrx-driver (1:12-1-1) unstable; urgency=low

  * New upstream release.
    - The installer name has been changed from ati to amd, adjust debian/rules
      and debian/watch.
    - Some users on the Phoronix Forums report that AMD/Intel discrete crash
      bugs are gone.
      Closes: #649239
  * Add minimal clinfo.1 manpage to the amd-clinfo package.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 26 Jan 2012 14:02:01 +0100

fglrx-driver (1:11-12-1) unstable; urgency=low

  [ Patrick Matthäi ]
  * New upstream release.
    - PPLib powermode save patch already have been merged.
      Closes: #650991
  * Add some notes about the not working 64bit kernel and 32bit userland
    configuration to README.source.
    Closes: #651775
  * Remove old lintian override about an spelling error in amdcccle.

  [ Andreas Beckmann ]
  * Add Conflicts: amd-app. (Package from unknown source.) (Closes: #650660)

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 16 Dec 2011 22:35:33 +0100

fglrx-driver (1:11-11-3) unstable; urgency=low

  [ Andreas Beckmann ]
  * Add new packages amd-libopencl1, amd-opencl-icd and amd-clinfo as the
    OpenCL libraries are now shipped with the driver instead of the SDK.
    (Closes: #629518)

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 18 Nov 2011 20:06:50 +0100

fglrx-driver (1:11-11-2) unstable; urgency=low

  [ Andreas Beckmann ]
  * Fix xserver-xorg-core dependency.

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 18 Nov 2011 15:32:08 +0100

fglrx-driver (1:11-11-1) unstable; urgency=low

  [ Andreas Beckmann ]
  * Use wildcards instead of multiarch paths in lintian overrides.
    (Closes: #646974)
  * Bump glx-alternative-fglrx dependency to 0.2.

  [ Michael Gilbert ]
  * New upstream release 11-11:
    - Supports xorg-video-abi-11 (closes: #639875).
  * Add dep5 revision number to the copyright file.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Fri, 18 Nov 2011 00:26:25 -0500

fglrx-driver (1:11-10-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 02 Nov 2011 12:49:24 +0100

fglrx-driver (1:11-9-2) unstable; urgency=low

  [ Andreas Beckmann ]
  * Add switchlibGL/switchlibglx scripts to enable
        aticonfig --px-dgpu | --px-igpu | --px-list
    which switches between the two GPUs (discrete/AMD and integrated/Intel)
    in some laptops with hybrid GPUs. (Closes: 643773)

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 16 Oct 2011 15:19:00 +0200

fglrx-driver (1:11-9-1) unstable; urgency=low

  * New upstream release.
    Closes: #644275
    - GNOME3 shell interface corruptions should be gone.
      Closes: #632098

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 05 Oct 2011 21:05:39 +0200

fglrx-driver (1:11-8-3) unstable; urgency=low

  [ Andreas Beckmann ]
  * Use wildcards instead of multiarch paths in lintian overrides.
  * Add Breaks: make (= 3.82-1) because the make version in experimental
    breaks kernel module build, see #635317.
  * Move libXvBAW.so.1, libAMDXvBA.so.1, libAMDXvBA.cap to new package
    libxvbaw1 which depends on libgl1-fglrx-glx.
  * Add explicit Depends: xserver-xorg-core.
  * Rephrase and synchronize the descriptions.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 17 Sep 2011 17:40:04 +0200

fglrx-driver (1:11-8-2) unstable; urgency=low

  [ Andreas Beckmann ]
  * Bump glx-alternative-fglrx dependency to >= 0.1.92 and drop the libglx.so
    compatibility symlink.
  * Install a list of supported PCI IDs as /usr/share/fglrx/fglrx.ids.
  * Cleanup maintainer scripts and debian/control.
  * Enable multiarch build.
    - Add and use _LIBDIR_ substitution variable.
    - Add Pre-Depends: ${misc:Pre-Depends}.
    - Add Multi-Arch: same.
    - Bump debhelper dependency to 8.1.3 and compat level to 9.
    - Add Build-Depends: rpl and edit fglrx-libGL.so.1.2 with rpl to contain a
      sane search path of ${ORIGIN}/dri for the dri module, s.t. it is still
      found after moving it to the multiarch directory.
    - Add a symlink from /usr/lib/*/dri/fglrx_dri.so to /usr/lib/dri/ s.t.
      fglrx-libglx.so can still find the fglrx_dri.so module.
  * Move shared libraries from fglrx-driver package to new package libfglrx.
    Further splitting does not look promising as there are several libraries
    without proper SONAME and libraries from different upstream releases may
    not be mixed.
  * Move shared libraries (except for libGL.so.1) from fglrx-glx-ia32 package
    to new package libfglrx-ia32.
  * Install the same libraries in libfglrx-ia32 as in libfglrx. E.g. 32-bit
    OpenCL applications need libatical*.so.
  * Move AMD XvBA development files from fglrx-driver package to new package
    libxvbaw-dev.
  * Rename package fglrx-glx to libgl1-fglrx-glx. Keep old name as
    transitional package.
  * Prevent concurrent installation of multiarch packages (lib*:i386) and
    their corresponding biarch packages (lib*-ia32:amd64).
  * Ensure no mismatching versions of fglrx-driver and libgl1-fglrx-glx can be
    installed.
  * Override the experimental lintian tag shlib-calls-exit.
  * Resurrect the fglrx-source package.
  * Add alternate recomends fglrx-kernel-${fglrx:version} to fglrx-driver,
    this virtual package is provided by the dkms package and the module
    packages built from fglrx-source.
  * Prepare support for squeeze-backports:
    - Add instructions for squeeze-backports to README.source and a
      prepare-squeeze-backport target to debian/rules that performs the
      necessary changes.
    - Re-add some maintainer script code to cleanup after the
      /emul/ia32-linux/usr/lib => /usr/lib32 transition.
    - Cleanup /etc/init.d/fglrx-driver.
  * Add myself to Uploaders.

  [ Patrick Matthäi ]
  * Install again the missing libAMDXvBA.cap file. Without it, XvBA will not
    work.
    Closes: #639402
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 04 Sep 2011 19:11:46 +0200

fglrx-driver (1:11-8-1) unstable; urgency=low

  [ Michael Gilbert ]
  * New upstream release:
    - Adjust debian/rules for renamed upstream license file.
  * Remove permission fixes from debian/rules.

  [ Andreas Beckmann ]
  * Add more copyright statements and licenses to debian/copyright.
  * Let dh_installmodules handle the modprobe blacklist config.
  * Move cleanup of old diversions from preinst to postinst.
  * Setup ia32 diversions on upgrades, too.
  * Do not remove the ia32 diversions on purge, again.
  * fglrx-driver: Add Replaces: fglrx-glx (<< 1:11-7-4) for cleaner updates
    from fglrx-glx versions that shipped libglx.so.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Thu, 18 Aug 2011 00:09:15 -0400

fglrx-driver (1:11-7-4) unstable; urgency=low

  [ Andreas Beckmann ]
  * Re-add B-D: libxinerama1.
  * Bump debian/compat to 8.
  * Rename debian/README.hacking to debian/README.source and fix
    get-orig-source instructions.
  * Convert debian/copyright to DEP-5 format.
  * Update debian/copyright from ATI_LICENSE.TXT: ATI => AMD, distribution of
    prebuilt modules is no longer permitted.
  * Automatically detect license by comparing debian/copyright with
    ATI_LICENSE.TXT during build.
  * Check for fglrx configuration in /etc/X11/xorg.conf.d/, too, and don't
    print messages about missing files.
  * Overhaul get-orig-source target. Fix file permissions while repacking.
  * Simplify lintian overrides.
  * Stop shipping libfglrx_dm.a, there is a shared library available.
  * Put libglx.so back into the fglrx-driver package.
  * Do not install duplicate copies of the Xorg modules (Closes: #636450).
  * Keep upstream's names of fglrx-libGL.so.1.2 and fglrx-libglx.so, add or
    adjust symlinks instead.
  * Simplify and reorder debian/rules. Use DEB_HOST_* instead of DEB_BUILD_*.
  * Update README.Debian, drop outdated info, mention glx alternative.
  * The diversion/alternatives transition to glx-diversions and
    glx-alternative-fglrx should now be finished and this package should work
    again properly with multiarch Xorg packages (Closes: #627020).

  [ Michael Gilbert ]
  * Clean up some long lines in debian/rules.
  * Fix up libGL symlinks.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sun, 07 Aug 2011 01:05:57 -0400

fglrx-driver (1:11-7-3) unstable; urgency=low

  [ Andreas Beckmann ]
  * Configure the manpages with --with-xserver=Xorg to skip autodetection.
  * Minimize B-D, drop B-D versioning if satisfied in oldstable (lenny).
  * Rename debian/reportbug/script to debian/bug-script and use dh_bugfiles -A
    to install it in all packages.
  * Redirect shlibs dependency of libGL.so.1 from fglrx-glx and fglrx-glx-ia32
    to libgl1-mesa-glx | libgl1 and ia32-libs.
  * This driver works with multiple Xorg versions, therefore depend on
    xorg-video-abi-10 | xorg-video-abi-8 | xorg-video-abi-6.0.
  * Add libatiadlxx.so to fglrx-glx-ia32.  (Closes: #636225).

  [ Michael Gilbert ]
  * Handle generated files more robustly.
  * Use single colons in rules file and terminat get-orig-source rule.
  * Apply many patches by Andreas Beckmann, thanks!  (Closes: #636450).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Thu, 04 Aug 2011 00:38:47 -0400

fglrx-driver (1:11-7-2) unstable; urgency=low

  * Further simplify build process.
  * Drop unneeded shlibs:Depends in fglrx-atieventsd.
  * Use xorg substvar info to populate xserver dependency (this makes backports
    a bit easier).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sun, 31 Jul 2011 00:24:30 -0400

fglrx-driver (1:11-7-1) unstable; urgency=low

  * New upstream version:
    - Drop debian/patches/05-fix-global-kernel-lock.diff and
      debian/patches/06-no-smp-lock.diff (upstream no longer tries to use
      kernel locking).
    - Drop 07-2.6.39-support.diff (now supported upstream).
  * Use simplified debian/rules format:
    - Bump debhelper version to 8.
    - Significantly simplify and clean up debian/rules.
  * Clean up get-orig-source rule a bit.
  * Fix circular dependency.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Tue, 19 Jul 2011 18:23:13 -0400

fglrx-driver (1:11-6-3) unstable; urgency=high

  [ Patrick Matthäi ]
  * Do not remove old diversions, which are handled by glx-diversions now.

  [ Michael Gilbert ]
  * Fix insecure handling of secret xauth cookie in authatieventsd.sh
    (closes: #625868).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Tue, 19 Jul 2011 18:13:14 -0400

fglrx-driver (1:11-6-2) unstable; urgency=high

  * Uploading to unstable.
  * Remove old shlibs.local file.
  * Link /usr/lib/libXvBAW.so.1 to /usr/lib/libXvBAW.so, so that building
    xvba-video is possible.
  * Do not install the switchlib scripts.
  * Bump dependency on glx-alternative-fglrx to 0.1.2 to ensure, that a fixed
    version is available.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 26 Jun 2011 17:26:09 +0200

fglrx-driver (1:11-6-1) experimental; urgency=high

  * New upstream release.
    Closes: #627100
    - Refresh patch 02-dkms-arch_compat.diff.
  * Remove old comments from maintainer scripts.
  * Remove debconf question about ACPI Powerstates, it is handled by fglrx
    itself.
  * Wrap control fields in debian/control.
  * Depend on xserver-xorg 1:7.6+7 to ensure, that a multiarch xorg is present.
  * Try to mess with multiarch:
     Closes: #630592
    - Rework many packaging parts.
    - Remove diversion handling, it is handled by glx-alternative now.
      Closes: #610022
    - Bump dependency on glx-alternative-fglrx to >= 0.0.1 (which is still in
      NEW).
  * Remove old NEWS file.
  * Remove old menu entries for fglrx-control.
  * Remove rpl from build depends and from debian/rules, no longer needed.
  * Remove all old upgrade paths.
  * Adjust lintian overrides.
  * Import amdxvba.h version 0.74-404001.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Jun 2011 18:24:12 +0200

fglrx-driver (1:11-4-2) unstable; urgency=low

  * Adjust dependency on xorg-video-abi to 10.
    Closes: #624813

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 03 May 2011 20:19:06 +0200

fglrx-driver (1:11-4-1) unstable; urgency=low

  * New upstream release.
    - Remove merged patch 04-2.6.38-support.diff.
    - Refresh hunky patch 05-fix-global-kernel-lock.diff.
    - Fixed regression with Qt demo.
      Closes: #614705
  * Add patch 07-2.6.39-support.diff to build with Linux 2.6.39.
    Closes: #620151
  * Remove quilt build dependency.
  * Wrap build dependencies.
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Fix two typos in fglrx and fglrx_xgamma manpage.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 27 Apr 2011 22:21:51 +0200

fglrx-driver (1:11-3-1) unstable; urgency=low

  * New upstream release.
    - Rediff hunky 02-dkms-arch_compat.diff.
  * Add patch 06-no-smp-lock.diff from Richard Ratzer, which fixes a FTBFS, if
    the Kernel is built without BKL.
    Closes: #619952
  * Update lintian overrides for the fglrx-driver package.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 29 Mar 2011 20:54:24 +0200

fglrx-driver (1:11-2-2) unstable; urgency=low

  * Apply patch to support missing kernel lock in linux 2.6.38 (closes:
    #618831).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Fri, 18 Mar 2011 18:34:50 -0400

fglrx-driver (1:11-2-1) unstable; urgency=medium

  * New upstream release.
    - Adjust debian/rules.
  * Add notice in fglrx-driver.postinst, if fglrx is not configured in
    xorg.conf.
    Closes: #613136
  * Cleanup scripts in debian/acpi/.
  * Update README.Debian.
  * Update README.hacking.
  * Remove deprecated debian/README.source.
  * Drop the fglrx-source package.
  * Change xorg-video-abi from 8.0 to 8.
    Closes: #613829

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 17 Feb 2011 18:11:37 +0100

fglrx-driver (1:11-1-3) unstable; urgency=low

  * Bump dependency to xorg-video-abi-8.0.
    Closes: #612308

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 07 Feb 2011 18:06:08 +0100

fglrx-driver (1:11-1-2) unstable; urgency=low

  * Add patch 04-2.6.38-support from Miguel Colon <debian.micove@gmail.com>, to
    add Linux 2.6.38 support.
    Closes: #611779
  * Upload to unstable.
  * Update fglrx to xorg version 7.6.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 06 Feb 2011 21:32:59 +0100

fglrx-driver (1:11-1-1) experimental; urgency=low

  * New upstream release.
    - Remove merged patches 04-2.6.36-support.diff and 05-2.6.37-support.diff.
  * Remove deprecated fglrx-source.README.Debian and fglrx-driver.README.Debian.
    Closes: #611083
  * Correctly spell information in changelog and README.Debian.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 26 Jan 2011 19:33:19 +0100

fglrx-driver (1:10-12-2) experimental; urgency=low

  * Add again the XS-Autobuild control flag, and I thought it is deprecated..
  * Add patch 05-2.6.37-support.diff to add Linux 2.6.37 support.
    Closes: #609206
  * Revert honoring $(KSRC), it is broken.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 12 Jan 2011 20:49:34 +0100

fglrx-driver (1:10-12-1) experimental; urgency=low

  * New upstream release.
    - Update patch 02-dkms-arch_compat to honor $(KSRC) instead of hardcoding
      the path.
      Closes: #604881

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 14 Dec 2010 17:51:02 +0100

fglrx-driver (1:10-11-1) experimental; urgency=low

  * New upstream release.
  * Rewrite short and long package descriptions to reflect ATI/AMD and that
    fglrx is only supported for RadeonHD and FireGL chips.
  * Remove XS-Autobuild control flag.
  * Suggest xvba-va-driver with the fglrx-driver package.
  * Update README.hacking. Remove odd information.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 19 Nov 2010 21:30:50 +0100

fglrx-driver (1:10-10-1) experimental; urgency=low

  * New upstream release.
    Closes: #601954
    - Remove merged patch 04-dkms-compat_alloc_user_space-rename, but add
      02-dkms-arch_compat.diff, because the AMD fix does not work if you build
      the module with dkms.
    - amdcccle does not complain anymore about the InputClass section.
      Closes: #590456
    - More DDX fixes, which should fix garbaged colors.
      Closes: #597378
  * Add patch 04-2.6.36-support.diff from Balázs Hámorszky for adding Linux
    2.6.36 support.
    Closes: #598654
  * Do not fail at mv_conffile, if the user has removed the old configuration
    files.
    Closes: #601326
  * Add missing trailing slash to VCS-Browser.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 01 Nov 2010 11:34:54 +0100

fglrx-driver (1:10-9-3) unstable; urgency=high

  * Avoid attempting to build dkms modules for virtual linux-image packages
    (closes: #597792).
  * Use a kernel headers path that's also available to locally built kernels
    (closes: #597783).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Wed, 22 Sep 2010 22:58:52 -0400

fglrx-driver (1:10-9-2) unstable; urgency=high

  * Use arch_compat_alloc_user_space in place of the now unavailable
    compat_alloc_user_space function in newer kernels (closes: #597478).
    - Thanks to Ubuntu (Evan Broder) for the inspiration for a more robust fix.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sun, 19 Sep 2010 22:53:35 -0400

fglrx-driver (1:10-9-1) unstable; urgency=low

  * New upstream release.
    - Most DDX bugs are fixed now. If you still get some screen regressions,
      please report a new bug.
      Closes: #587824

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 16 Sep 2010 18:00:05 +0200

fglrx-driver (1:10-8-1) unstable; urgency=low

  [ Patrick Matthäi ]
  * New upstream release.
    Closes: #594606
    - Now the textures in supertuxkart are really rendered correctly.
      Closes: #586797
  * Start atieventsd before $x-display-manager.
    Closes: #593703
  * Depend on virtual package xorg-video-abi-6.0 and provide xorg-driver-video.
    Closes: #585433

  [ Michael Gilbert ]
  * Build modules for all installed kernel packages rather than only for the
    currently active/running kernel.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 28 Aug 2010 09:05:52 +0200

fglrx-driver (1:10-7-1) unstable; urgency=low

  [ Michael Gilbert ]
  * Use fglrx module makefile instead of its make.sh script (this has the
    added bonus of making dkms autoupdate for all installed kernels; thus
    making module rebuilds for ABI bumps automatic).
    Closes: #588447
  * Fix typo in atiode manpage.
    Closes: #586808

  [ Patrick Matthäi ]
  * New upstream release.
    - Remove patch 06-build-with-2.6.34.diff, merged by upstream.
    - This release should fix the texture rendering problem with supertuxkart.
      Closes: #586797
    - xserver crashes without a defined BusID should be gone now.
      Closes: #587708
  * Remove Bertrand Marc from uploaders. Thanks for your previous work!
  * Reference to the radeon driver, instead of the deprecated radeonhd one.
  * Bump Standards-Version to 3.9.1.
    - Move some conflicts to breaks.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 26 Jul 2010 21:19:32 +0200

fglrx-driver (1:10-6-1) unstable; urgency=low

  * New upstream release.
    - Refresh 01-CONFIG_X86_XEN.diff.
    - Drop patch 05_fix_cmpxchg.diff, merged by upstream.
  * Add danish translation from Joe Dalton.
    Closes: #584290

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 17 Jun 2010 10:55:06 +0200

fglrx-driver (1:10-5-1) unstable; urgency=low

  * New upstream release.
    - Drop patch 02-add-new-cards.diff, merged by upstream.
  * s/approriate/appropriate/ in fglrx-modules-dkms long description.
    Closes: #582662

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 27 May 2010 12:51:48 +0200

fglrx-driver (1:10-4-2) unstable; urgency=low

  * The fglrx-driver package conflicts against the nvidia-glx package.
    Closes: #581776
  * Fix a few typos in the long descriptions.
    Closes: #581954
  * Update to the new fglrx 10-4 release. AMD silently updated the original
    tarball. This patch adds support for new cards.
  * Speed up package building by adding --ignore options in debian/rules.
  * Add patch 06-build-with-2.6.34.diff to build against Linux 2.6.34.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 20 May 2010 21:48:55 +0200

fglrx-driver (1:10-4-1) unstable; urgency=low

  * New upstream release.
    - And again the paths have been changed, thanks Ubuntu..
  * Add Spanish translation from Ricardo Fraile.
    Closes: #579516

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 29 Apr 2010 19:09:04 +0200

fglrx-driver (1:10-4~prerelease-1) unstable; urgency=low

  [ Michael Gilbert ]
  * Use a better reference for known supported hardware in the fglrx manpage.

  [ Patrick Matthäi ]
  * New upstream pre-release.
    - Segfaulting of the driver is now fixed.
      Closes: #576575
    - The compositing problems with KDE should be fixed now, too.
      Closes: #571036
    - Rediff all patches, because of changed paths in the tarball.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 18 Apr 2010 18:03:49 +0200

fglrx-driver (1:10-3~prerelease-3) unstable; urgency=low

  * Please note: This release is in real the 10-4 pre-release.
  * Refresh 05_fix_cmpxchg.diff, so that fglrx now really builds with Linux
    2.6.33.
    Closes: #571272

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 25 Mar 2010 19:27:54 +0100

fglrx-driver (1:10-3~prerelease-2) unstable; urgency=low

  * Add workaround, so that the i386 package, does not depend on a amd64
    only package.
    Closes: #574973
  * Fix supported hardwares of fglrx in the documentations.
    Closes: #574916

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 22 Mar 2010 18:14:54 +0100

fglrx-driver (1:10-3~prerelease-1) unstable; urgency=low

  [ Michael Gilbert ]
  * New upstream pre-release.
    - Upstream 8.721 pre-release tarball copied directly from Ubuntu, thanks!
    - Now supports xorg 7.5!
      Closes: #564444
  * Remove fglrxrc manpage since there is no fglrxrc binary anymore.
  * Add link to ATI FAQ for supported hardware in fglrx manpage (too hard to
    keep up to date otherwise).
  * Use autogen to generate manpage build system.
    - Remove a lot of files that are automatically generated.

  [ Patrick Matthäi ]
  * Blacklist the radeon kernel module while fglrx is installed.
  * Adjust lintian override.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 21 Mar 2010 23:20:43 +0100

fglrx-driver (1:10-2-2) unstable; urgency=low

  * Remove diversion of libdri.so.
    Closes: #571124
  * Add patch 05_fix_cmpxchg.diff to build with Linux 2.6.33. Much thanks for
    this patch to Stefan Bühler.
    Closes: #571272

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 28 Feb 2010 12:55:50 +0100

fglrx-driver (1:10-2-1) unstable; urgency=low

  * New upstream release.
    - xorg 7.5 support? Haha, no..
    - Adjust lintian overrides.
  * Add libatiuki to the fglrx-glx-ia32 package.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 17 Feb 2010 20:28:54 +0100

fglrx-driver (1:10-1-1) unstable; urgency=low

  * New upstream release.
    - And yeah, still no xorg 7.5 support.
    - Drop patch 05-fix_missing_signal_include, merged upstream.
    - Adjust lintian overrides.
  * Add Brazilian Portuguese translation from Rafael Henrique da Silva Correia.
    Closes: #565309
  * Bump Standards-Version to 3.8.4 (no changes needed).
  * Add missing dependency on remote_fs in the atieventsd init script.
  * Do not use asterisks in the NEWS file.
  * Remove old diversion for libdri.so, which is not provided anymore.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 28 Jan 2010 19:32:10 +0100

fglrx-driver (1:9-12-1) unstable; urgency=low

  * New upstream release.
    - What the fuck? They embedded Qt4? We use our own version:
      Adding libqt4-dev as build dependency and remove those fucking RPATHs
      from amdcccle.
    - Adjust lintian overrides.
  * Simplify the lintian overrides for the fglrx-modules-dkms package.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 17 Dec 2009 19:09:48 +0100

fglrx-driver (1:9-11-2) unstable; urgency=low

  * Applied patch from Daniel Schaal, which only adds the fglrx module for one
    time to dkms.
    Closes: #557316
  * Rediff hunky 01-CONFIG_X86_XEN patch. This fixes a FTBFS.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 23 Nov 2009 10:13:47 +0100

fglrx-driver (1:9-11-1) unstable; urgency=low

  * New upstream release.
  * Add new XvBA libraries.
    Closes: #554470
  * Convert package to quilt and the 3.0 (quilt) format.
  * Generate now tar.bz2 compressed tarballs.
  * Add a script for reportbug to every package, se we get the most significant
    information in our reports.
  * Remove unused lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 18 Nov 2009 09:48:02 +0100

fglrx-driver (1:9-10-2) unstable; urgency=low

  * Implemented dkms support with our new fglrx-modules-dkms package.
  * Remove old fglrx-amdcccle and fglrx-kernel-src dummy packages.
  * Fix VERSION and UPSTREAM_VERSION in debian/rules.
  * Replace my old email address in the dpatch headers.
  * Add 05-fix_missing_signal_include.dpatch, which lets fglrx compile against
    Linux 2.6.32-rc5. Thanks to Stefan Bühler for his patch.
    Closes: #554401

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 04 Nov 2009 17:53:54 +0100

fglrx-driver (1:9-10-1) unstable; urgency=low

  * New upstream release.
    - This release adds support for Linux 2.6.31.
      Closes: #546933
  * Remove unused lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 23 Oct 2009 18:34:25 +0200

fglrx-driver (1:9-9-2) unstable; urgency=low

  [ Michael Gilbert ]
  * New manpages for atiode and atiodcli.
  * Clean-up of many unnecessary files in debian/man.

  [ Patrick Matthäi ]
  * Reintroduce missing debian/man files and realy build the new manpages.
  * Add new lintian override for spelling-error-in-binary.
  * Add doc-base section. This also fixes a lintian warning.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 18 Oct 2009 00:10:07 +0200

fglrx-driver (1:9-9-1) unstable; urgency=low

  * New upstream release.
    - Adjust source and fglrx-driver lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 12 Sep 2009 18:13:08 +0200

fglrx-driver (1:9-8-2) unstable; urgency=low

  [ Bertrand Marc ]
  * Remove old hackish lines in fglrx-glx.postrm (Closes: #542400).
  * Source /lib/lsb/init-functions in fglrx-atieventsd.init to get
    log_warning_msg function.
    Closes: #543946
  * Make fglrx-atieventsd depends on lsb-base to ensure the presence of
    /lib/lsb/init-functions.

  [ Patrick Matthäi ]
  * Add acpid to recommends of fglrx-atieventsd, it is mostly useless without
    the acpi daemon.
  * Remove all hackish diversion handlings.
  * Remove deprecated conffile /etc/init.d/fglrx-driver, so insserv is happy.
    Closes: #543384
  * Sync uploaders of the control template with the original one.
  * Remove unused orphaned-diversion lintian overrides from fglrx-glx.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 27 Aug 2009 18:40:15 +0200

fglrx-driver (1:9-8-1) unstable; urgency=high

  * New upstream release.
    - The invalid map errors should be gone now.
      Closes: #524871
    - Add new lintian overrides for crappy code.
    - Drop 04-irq_return_2.6.30.dpatch, we do not need it anymore.
    - 05-missing-pci_enable_msi.dpatch, we do not need it anymore.
    - 08-config_x86_32.dpatch, we do not need it anymore.
    - 07-preempt-fix.dpatch, we do not need it anymore.
    - 02-2.6.29-support.dpatch, we do not need it anymore.
    - 06-missing-flush_tlb.dpatch, we do not need it anymore.
  * Bump Standards-Version to 3.8.3.
    - Add debian/README.source.
  * Switch back to the fglrx-glx-ia32 package, ia32-apt-get has been removed
    from the archive.
    Closes: #538889
  * Add conflicts again ia32-fglrx-driver and ia32-fglrx-glx.
  * Add lintian overrides for orphaned diversions, which are handled by out
    maintainer scripts.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 18 Aug 2009 09:37:40 +0200

fglrx-driver (1:9-7-2) unstable; urgency=low

  * Fix clashing diversions with installed ia32 packages. Thanks to
    Sebastian Lipponer for testing the new changesets.
    Closes: #538889
  * Remove diversions set from the ia32 packages on removing fglrx.
  * Remove unused lintian overrides for package fglrx-glx.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 01 Aug 2009 19:37:05 +0200

fglrx-driver (1:9-7-1) unstable; urgency=low

  * New upstream release.
  * Fix provides in fglrx-atievents init script.
    Closes: #538957
  * Add fglrx-atieventsd.README.selinux which describes some steps to avoid
    problems with atieventsd on SELinux.
    Closes: #514061
  * Refresh lintian overrides (drop some more and add one new).
  * Also add ia32-apt-get support for fglrx-driver, which is also experimental
    and as broken as ia32-fglrx-glx, because of the good ia32-apt-get design..
    Closes: #538658

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 30 Jul 2009 10:22:25 +0200

fglrx-driver (1:9-6-4) unstable; urgency=low

  [ Debian l10n ]
  * Add galician translation from Marce.
    Closes: #537537

  [ Patrick Matthäi ]
  * Drop fglrx-glx-ia32 package and add some workarounds, so that it works with
    ia32-apt-get.
    Closes: #537958
  * Remove the deprecated x6* directorys in the get-orig-source from the
    tarball. They just blow up the orig.tar.gz.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Jul 2009 18:04:52 +0200

fglrx-driver (1:9-6-3) unstable; urgency=low

  * Add 08-config_x86_32 patch from Gentoo, it fixes a build error on X86_32.
  * Add 07-preempt-fix from Gentoo, which disables preempt if it is enabled.
  * Add 06-missing-flush_tlb patch from Gentoo, which fixes the flush_tlb
    symbol error on loading the fglrx module.
    Closes: #535152
  * Rediff hunky 02-2.6.29-support patch.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 30 Jun 2009 20:04:29 +0200

fglrx-driver (1:9-6-2) unstable; urgency=low

  * Add cherry taken 05-missing-pci_enable_msi patch from archlinux, which adds
    a missing symbol.
    Closes: #534927
  * Rename fglrx-atieventsd.fglrx-driver.init to fglrx-atieventsd.init and
    remove the name parameter from dh_installinit. This also renames the
    fglrx-driver init script to fglrx-atieventsd.
    Closes: #534996

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 29 Jun 2009 22:09:35 +0200

fglrx-driver (1:9-6-1) unstable; urgency=low

  [ Debian l10n ]
  * Add czech translation from Tomas Fidler.
    Closes: #533093

  [ Patrick Matthäi ]
  * New upstream release.
    Closes: #533750
    - The map error should be gone away now.
      Closes: #524871
    - Fix for the inversed colors in some games.
      Closes: #523746
  * Move all files from /emul/ to /usr/lib32/.
    Closes: #533225
  * Add default file for fglrx-atieventsd and modify the init script, so that
    the daemon could be disabled about the default file.
    Closes: #532238
  * Bump Standards-Version to 3.8.2 (no changes needed).
  * Remove dh_desktop, fixes lintian warning dh_desktop-is-deprecated.
  * Add source.lintian-overrides and override all prebuilt binary warnings.
  * We have to pre-depend now on libc6-i386 (>= 2.9-18) for the well planed
    transition.
  * Add warning to long-description of fglrx-driver and to README.Debian that
    fglrx replaces parts of the X11/Mesa system.
    Closes: #534183
  * Add 04-irq_return_2.6.30.dpatch which fixes a FTBFS with Linux 2.6.30.
    Closes: #534762
  * Replace my old email address in the control template.
  * Bump build dependency on ia32-libs on amd64 to >> 2.7.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 27 Jun 2009 10:14:39 +0200

fglrx-driver (1:9-5-1) unstable; urgency=low

  * New upstream release.
  * Override some more lintian warnings in package fglrx-glx.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 19 May 2009 19:25:21 +0200

fglrx-driver (1:9-4-2) unstable; urgency=low

  * Change my email address.
  * Remove DM-Upload-Allowed control field.
  * Add lintian overrides for the most warnings, which will never be fixed by
    AMD or are just wrong.
  * Describe in 02-2.6.29-support.dpatch, that it should be disabled if another
    Linux version as 2.6.29 should be used with fglrx.
  * Extend long description of fglrx-source and fglrx-kernel-src, fixes lintian
    warning extended-description-is-probably-too-short.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 06 May 2009 16:03:56 +0200

fglrx-driver (1:9-4-1) unstable; urgency=low

  * New upstream release.
    - Warning: This release does not support anymore any chips below the
      r600 series. If you have a r1xx-r5xx chip, please use the radeon or
      radeonhd driver instead.
    - aticonfig does not fail anymore on configuring newer cards.
      Closes: #522027
    - fglrx works now with newer libdrm version.
      Closes: #521323
    - Support for newer xserver-xorg versions.
      Closes: #523833
    - Fix for incorrect colour displaying.
      Closing: #523746
    - This release only supports r6xx and r7xx cards. So note this in the
      packages short description.
    - Drop 04-macro_fix-flush_tlb_page.dpatch. It is not needed anymore.
  * Add 02-2.6.29-support.dpatch which adds a hack to support Linux 2.6.29.
    Closes: #521164
  * Remove svn:executable on debian/amdcccle.xpm. This fixes lintian warning
    executable-not-elf-or-script. Thanks.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Sat, 18 Apr 2009 09:33:54 +0200

fglrx-driver (1:9-3-1) unstable; urgency=low

  * New upstream release.
    This is the last release which supports r300-r500 chips.
  * Fix override disparity. fglrx-source is now non-free/kernel.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Sun, 29 Mar 2009 21:41:41 +0200

fglrx-driver (1:9-2-3) unstable; urgency=low

  [ Patrick Matthäi ]
  * Adjust debian/watch to match with the new AMD homepage.
  * Bump Standards-Version to 3.8.1 (no changes needed).
  * Add new AMD Stream libraries.
    Closes: #520480
  * Simplify describe in README.Debian how to build the fglrx module and
    enabling 3d acceleration support.
    Closes: #516231
  * Add some new sharedobject-in-library-directory-missing-soname lintian
    overrides for the new libraries.
  * Add new lintian override for fglrx-control about the embedded zlib in
    amdcccle, we could not do anything against it.

  [ Debian l10n ]
  * Add japanese translation from Hideki Yamane.
    Closes: #520065

 -- Patrick Matthäi <patrick.matthaei@web.de>  Tue, 24 Mar 2009 19:10:25 +0200

fglrx-driver (1:9-2-2) unstable; urgency=low

  * Add 04-macro_fix-flush_tlb_page.dpatch cherry taken from Arch Linux.
    Closes: #517545

 -- Patrick Matthäi <patrick.matthaei@web.de>  Wed,  4 Mar 2009 11:17:25 +0200

fglrx-driver (1:9-2-1) unstable; urgency=low

  [Bertrand Marc]
  * New upstream release.
    Closes: #516818
  * Update README.hacking to match odd ATI versionning system.

  [ Debian l10n ]
  * Add french translation from Christian Perrier.
    Closes: #516536

 -- Patrick Matthäi <patrick.matthaei@web.de>  Tue, 24 Feb 2009 18:39:19 +0200

fglrx-driver (1:9-1-2) unstable; urgency=low

  [ Patrick Matthäi ]
  * Implement debconf question for ACPI switching.
  * Backport it again for xserver-xorg < 7.4. We are uploading to unstable and
    the xserver version in experimental is not compatibile with fglrx yet.
  * Add notes about the low resolution bug if you are upgrading from fglrx
    versions <= 8.7 in README.Debian.
    Closes: #513208
  * Fix debhelper-but-no-misc-depends.
    Thanks lintian.
  * Fix duplicate short descriptions.

  [ Debian l10n ]
  * Add swedish translation from Martin Ågren.
    Closes: #512853
  * Add russian translation from Yuri Kozlov.
  * Add portuguese translation from Américo Monteiro.
  * Add italian translation from Vincenzo Campanella.
  * Add vietnamese translation from Clytie Siddall.
    Closes: #513807
  * Add german translation from Helge Kreutzmann.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Thu, 19 Feb 2009 11:36:51 +0200

fglrx-driver (1:9-1-1) experimental; urgency=low

  * New upstream release.
    - Add new build dependencie libxinerama-dev.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Tue,  3 Feb 2009 18:24:49 +0200

fglrx-driver (1:8-12-4) unstable; urgency=low

  * Backport dependencies down to the xserver-xorg 7.1.0 release, so we can
    upload to unstable.
  * Add amdcccle.menu for unified Debian menu support.
  * Fix lintian warning dh-clean-k-is-deprecated.
  * Direct install of atieventsd.8 manpage.
  * Install our own amdcccle.desktop.
    Thanks to Rainer Trusch for spotting some more issues with the AMD one.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Sun, 11 Jan 2009 17:35:02 +0200

fglrx-driver (1:8-12-3) experimental; urgency=low

  * Fix versioned dependency on xserver-xorg.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Sun,  4 Jan 2009 12:57:41 +0200

fglrx-driver (1:8-12-2) experimental; urgency=low

  [ Patrick Matthäi ]
  * Add new diversion in fglrx-driver to libglx.so.
    Closes: #510496
  * Add README.Debian with backporting informations.
  * Also describe in README.Debian, that "DefaultDepth 24" in xorg.conf is
    needed for fglrx.
    Closes: #460241
  * Remove diversions of package fglrx-driver on remove.
  * Bump dependencies to match with the xserver-xorg 7.4 release.
  * Also fix the clashing diversions in fglrx-glx-ia32.preinst.

  [ Romain Beauxis ]
  * Tightened diversion removal in fglrx-glx to only libGL.so related
    diversions.
    Closes: #475007

 -- Patrick Matthäi <patrick.matthaei@web.de>  Sat,  3 Jan 2009 13:04:47 +0200

fglrx-driver (1:8-12-1) experimental; urgency=low

  * New upstream release. Closes: #508819
    - No more dri problems like in the 8-11 release.
      Closes: #506000
    - It should build fine now with Linux 2.6.27.
      Closes: #496318
    - Remove deprecated patches.
      Closes: #508024
    - This release fixes some crashes on starting/playing videos with players
      like kaffeine and mplayer.
      Closes: #489254
    - Remove 13-fix_debian_485605.patch which is fixed in this release.
  * Add myself to uploaders.
  * Add DM-Upload-Allowed control flag.
  * Install the x740 libs, so fglrx could be used with xserver 1.5. If you
    still use xserver < 1.5 then you have to set it back to x710 in
    debian/rules.
  * Fixed bashishm in the acpi fglrx-powermode.sh script.
    Closes: #489575
  * Remove fuzzy 14-deletes_unecessary_spaces.patch.
  * Adjust path to index.html in README.hacking.
  * Add missing ${misc:Depends}. Thanks lintian.
  * Remove odd debian/TODO.
  * Fit debian/README.hacking to the up to date and easy orig-source-target
    to build the original tarball.
  * Change to dpatch instead of a self-hackish one and migrate the patches
    to it.
  * Correct typo in debian/rules PHONY.
  * Bump debhelper compatibility level to 7, so we can use dh_lintian.
  * Override shlib-with-executable-stack lintian warning.
  * Change short descriptions to also supporting r7xx cards in this version.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Thu,  1 Jan 2009 17:17:02 +0200

fglrx-driver (1:8-10-1) experimental; urgency=low

  [ Bertrand Marc ]
  * New upstream release. Closes: #500077
  * Fixed corruption with windows wider than 1760
    pixels. Closes: #450426
  * Fixed AGP Aperture Size in BIOS. Closes: #451973
  * Fixed double free corruption when running fglrxinfo
    or any 3d apps. Closes: #454751
  * Fixed corruption with Xvideo overlay. Closes: #361694
  * Fixed DRI init and CMMQS driver init. Closes: #464667
  * Fixed failure with fglrxinfo. Closes: #497543
    thanks to Patrick Matthaei for testing these old bugs.

  [ Romain Beauxis ]
  * Set distribution to experimental for now.

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 11 Nov 2008 15:55:54 +0100

fglrx-driver (1:8-7-3) unstable; urgency=low

  * Updated patch for authatieventsd.sh, fixes authentification
    issues and missing dependency. Thanks to Luca Niccoli !
  Closes: #503878

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 08 Nov 2008 18:11:19 +0100

fglrx-driver (1:8-7-2) unstable; urgency=low

  * Fixed compilation with 2.6.26 kernels,
    thanks to Deng Xiyue for reporting and
    preparing the patch. Closes: #485793
  * Removed last kernel-src bits from fglrx-source

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 25 Jul 2008 09:56:52 +0200

fglrx-driver (1:8-7-1) experimental; urgency=low

  [ Bertrand Marc ]
  * New upstream release.

  [ Romain Beauxis ]
  * Target experimental for upload now that lenny freeze
    occurs very soon.

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 25 Jul 2008 09:34:02 +0200

fglrx-driver (1:8-6-2) unstable; urgency=low

  * Fix "Unknown symbol flush_tlb_page", thanks to
    Enrico Rossi for reporting and patching
    Closes: #485605

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 02 Jul 2008 11:48:27 +0200

fglrx-driver (1:8-6-1) unstable; urgency=low

  [ Romain Beauxis ]
  * Changed fglrx-kernel-src package architecture to all.

  [ Bertrand Marc ]
  * New upstream release.
  * Virtual package renamed fglrx-modules to work with
    linux-modules-nonfree.

 -- Bertrand Marc <beberking@gmail.com>  Tue, 19 Jun 2008 16:56:14 +0200

fglrx-driver (1:8-5-1) unstable; urgency=low

  [ Bertrand Marc ]
  * New upstream release (Closes: #483131).
  * Fixed crashing Xorg when shutting down (Closes: #418338).
  * Kernel module builds on Linux-2.6.25 (Closes: #476844).
  * Build atieventsd into a separate package (Closes: #401559).
  * Rename fglrx-kernel-src into fglrx-source to provide
    compatibility with linux-modules-nonfree.

  [ Romain Beauxis ]
  * Patched authatieventsd.sh to fix xauth rights when using atieventsd
  Thanks to Luca Niccoli for testing and providing a patch.
  Closes: #418338
  * Cleaned build dependencies

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 27 May 2008 14:32:04 +0200

fglrx-driver (1:8-4-1) unstable; urgency=low

  [ Bertrand Marc ]
  * New upstream release

  [ Romain Beauxis ]
  * Kernel module's version hasn't changed since last release,
    so now using the marketing versioning for the package.
  * Some bugs concerning black screen on logout were fixed, though
    I couldn't indentify with certainty if some of the bugs in our
    BTS were fixed. Please review and fix if you can !

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 17 Apr 2008 16:56:01 +0200

fglrx-driver (8.47.3-3) unstable; urgency=low

  * Previous fix was not complete. Now the package builds on i386..
  Thanks to Bálint Réczey and Sedat Dilek again..
  Closes: #471334

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 16 Mar 2008 03:19:12 +0100

fglrx-driver (8.47.3-2) unstable; urgency=low

  * Fixed compilation with 386 architectures:
    splited dh_gencontrol invokations.
  Thanks to Sedat Dilek for reporting and testing.

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 16 Mar 2008 03:13:39 +0100

fglrx-driver (8.47.3-1) unstable; urgency=low

  * New upstream release
  Closes: #469562
  * Changed maintainer and uploaders fields to reflect new team.
  * Switched to svn.debian.org, added corresponding headers in debian/control
  * Added a fglrx-glx-ia32 for amd64, with 32 bit libGL. Recommending the
    package in fglrx-driver.
  Closes: #462362, #469962

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 06 Mar 2008 02:00:34 +0100

fglrx-driver (8.45.5-1) unstable; urgency=low

  * New "valentine's" release.
  * Added a fglrx-glx package to install fglrx's private libGL
    Closes: #463723, #451119
  * First GL application no longer freezes
    Closes: #460237

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 14 Feb 2008 14:21:04 +0100

fglrx-driver (8.45.4-1) unstable; urgency=low

  * New upstream release
  * Widescreen resolutions fixed
    Closes: #457298
  * Support suspend on latest kernels
    Closes: #402273
  * Support custom modelines
    Closes: #459852
  * Updated standards to 3.7.3

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 18 Jan 2008 16:18:56 +0100

fglrx-driver (8.43.2-2) unstable; urgency=low

  * Updated package description:
    + Removed supported cards list, this was misleading and broken
      from one release to another
    + Written excplicitly that radeonhd is a possible alternative
  * Updated README.Debian:
    + Removed 3D acceletation tweaking, they were outdated for
      recent versions that use plain mesa
    + Added workaround for screen corruption (Closes: #449117)

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 05 Dec 2007 16:16:08 +0100

fglrx-driver (8.43.2-1) unstable; urgency=low

  * New upstream release
  * Marketing naming and versioning. Keeping original names,
    and using module's claimed version, 8.43.2.
  * Droped 2.6.23 support patch, fixed upstream

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 22 Nov 2007 13:45:43 +0100

fglrx-driver (8.42.3-3) unstable; urgency=low

  * Fixed dpkg-divert removal calls.
    Remove any diversion that's refering to fglrx.
  * Added basic patch to support all hardware.
    Please note that this is a trivial patch that only
    add pci ids to the module list. Not *any* waranty that
    this will make *your* special fireGL card work.
    For strong support, please bug upstream and wait for new releases...
  * Added missing XS-Autobuild: yes to debian/control and notice in
    debian/copyright
  * Changed maintainer from binary module package templates.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 12 Nov 2007 12:05:03 +0100

fglrx-driver (8.42.3-2) unstable; urgency=low

  * Upload to unstable. Release does not seem good, but at least it works.
  * Added instruction to get XV driver work with this release.
  * Module build fixed for 2.6.23. It was applied with last release, but I
    forgot to close.. (Closes: #446967)
  * Compatibility with standard mesa GL support is confirmed on my machine.
    (Closes: #401584)

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 29 Oct 2007 14:35:48 +0100

fglrx-driver (8.42.3-1) experimental; urgency=low

  * New upstream release (Closes: #447854, #442092)
  * Works with latest X.org packages (Closes: #443129)
  * Support for AIGLX (Closes: #391279)
  * Updated package descriptions (Closes: #446678)
  * Removed custom libGL and devel package as it seems to be built
    upon standard libGL.

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 24 Oct 2007 13:38:40 +0200

fglrx-driver (8.40.4-2) unstable; urgency=low

  * Added signature and control files to remove watermark issue,
  thanks to Soeren Sonnenburg.
  Closes: #434736

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 15 Aug 2007 13:07:58 +0200

fglrx-driver (8.40.4-1) experimental; urgency=low

  * New upstream release
  * Not fixed watermark issue, hence upload to experimental..

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 15 Aug 2007 03:29:09 +0200

fglrx-driver (8.39.4-1) experimental; urgency=low

  * New upstream release
  * Upload to experimental because of a nasty
  watermark bug, see:
    http://www.phoronix.com/?page=news_item&px=NTkwNg
  * Module will now build against a 2.6.22 kernel
  (paravirt_ops is not only GPL on this kernel)
  Closes: #420842
  * Added dummy fglrx-amdcccle package for
  compatibility with ATI's packages.
  Closes: #430962
  * Removed debian/rules clean call in module's
  kdist_image target. (Closes: #431134)
  * Removed patch for ioctl32.h: applied upstream.

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 20 Jul 2007 14:07:31 +0200

fglrx-driver (8.38.6-2) unstable; urgency=low

  * Added back new catalyst control panel.

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 28 Jun 2007 15:41:58 +0200

fglrx-driver (8.38.6-1) experimental; urgency=low

  * New upstream release
  * Commented out fglrx-control until
    I find out where it has gone...
    If this removal is intentional, build-deps
    have to ble cleaned too.
  * Regenerated 00-make.sh patch
  * Added ioctl32_fix.diff (Closes: #428527)
  * Updated man pages, thanks to
    Daniel Leidert (Closes: #402383)
  * Changed fglrx-driver.preinst to avoid using
    /var/lib/dpkg/status directly (thanks to lintian)
  * Changed ${Source-Version} to ${binary:Version}
    in debian/control (again thanks to lintian...)

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 26 Jun 2007 15:15:16 +0200

fglrx-driver (8.37.6-1) unstable; urgency=low

  * New upstream release
  * get-orig-source rule (Closes: #409732)
  * upstream corrected version check (Closes: #420174)

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 01 Jun 2007 14:07:15 +0200

fglrx-driver (8.36.5-1) experimental; urgency=low

  * New upstream release. Closes: #412007
  * Added myself as uploader, with Flavio's agreement.

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 24 Apr 2007 12:18:25 +0200

fglrx-driver (8.34.8-1) experimental; urgency=low

  * New upstream version. (Closes: #412007, #412106)

  * Highlights from the release notes:
    - A system hang no longer occurs when attempting to resume from
      hibernation mode.
    - Loading the XVideo Extension on 64-bit Xorg 6.9+ systems no longer
      results in the X Server segfaulting when launching.
      This issue was known to occur with Radeon X1K products.
    - Running aticonfig--dtop=(horizontal|vertical) no longer results in clone
      mode being activated when attempting to enable big desktop mode.
    - Switching between X Server and text console mode no longer results in
      a system failing to respond. [fixed in version 8.32.5]
      (? maybe closes #402375 and maybe also #345040 ?)

  * Drop list of supported chipsets, because the driver doesn't list them in
    the X server log file any more.

  * Add patch 20-fglrx-8.34.8-for-2.6.20 to support kernel 2.6.20;
    thanks to "Whoopie" for the patch and to Soeren for the link.

  * Fix the kernel module's debian/rules to let it understand --rootcmd;
    thanks to Eric Cooper for the patch.
    (Closes: #364528)

  * Update man pages as of 2006-12-15, matching version 8.28.8; the license
    was rewritten, without significant changes in the rights granted.

 -- Flavio Stanchina <flavio@stanchina.net>  Sat, 24 Feb 2007 01:24:10 +0100

fglrx-driver (8.31.5-1) experimental; urgency=low

  * New upstream version. (Closes: #399136, #399301)
    - Update list of supported cards.

  * Add patch 12-CONFIG_X86_XEN to allow building on Xen-enabled kernels;
    thanks to Loic Minier.
    (Closes: #368802)

  * Add patch 13-config_h-is-gone to allow building on Linux 2.6.19-rc2:
    linux/config.h is no longer generated, include linux/autoconf.h instead;
    thanks to Julien BLACHE.
    (Closes: #398980)

 -- Flavio Stanchina <flavio@stanchina.net>  Sun, 19 Nov 2006 17:29:05 +0100

fglrx-driver (8.30.3-1) experimental; urgency=low

  * New upstream version. (Closes: #388794)
    - Move conffiles from /etc to /etc/ati to match upstream.
    - Update list of supported cards.

 -- Flavio Stanchina <flavio@stanchina.net>  Thu,  2 Nov 2006 23:56:01 +0100

fglrx-driver (8.28.8-3) unstable; urgency=low

  * Explicitly call moc-qt3, not just moc, when building the control panel.
    Fixes FTBFS when qt4-dev-tools is installed and moc-qt4 is the default.
    (Closes: #389504; really closes #383974 which was the same bug)

  * /etc/acpi/fglrx-powermode.sh tried to source /etc/default/fglrx, but the
    file we actually install is /etc/default/fglrx-driver.
    (Closes: #389744)

  * Changes to the README of fglrx-driver:
    - Add link to http://dri.freedesktop.org/wiki/DriTroubleshooting
    - Add a note about http://bugs.debian.org/384325

 -- Flavio Stanchina <flavio@stanchina.net>  Thu,  2 Nov 2006 00:26:39 +0100

fglrx-driver (8.28.8-2) unstable; urgency=low

  * Acknowledge NMUs by Chris Hanson. Thanks!
    (Closes: #382038, #388812, #388840)

  * Change fglrx-driver's dependencies and description to match the switch to
    X.Org version 7.1.

  * Switch to debhelper >= 5, no changes. Actually done in 8.28.8-1, but it
    wasn't recorded in the changelog due to a slight error by my sponsor.

  * Build the man pages from source again now that Daniel's NMU of docbook-xsl
    1.70.1 has entered testing.

  * Reorder installation methods in the fglrx-kernel-src documentation; thanks
    to Ted Percival for the patch.
    (Closes: #384175)

  * Un-capitalize the first letter of short descriptions.
  * Remove useless installation instructions from the docs.
  * Update list of supported cards.
  * Style fixes to debian/acpi/fglrx-powermode.sh.
  * Clean up debian/TODO.

 -- Flavio Stanchina <flavio@stanchina.net>  Mon, 25 Sep 2006 01:28:23 +0200

fglrx-driver (8.28.8-1.2) unstable; urgency=low

  * NMU
  * debian/control: change "Recommends: fglrx-kernel" to "Recommends:
    fglrx-kernel-src | fglrx-kernel" to fix debcheck warning.

 -- Chris Hanson <cph@debian.org>  Sat, 23 Sep 2006 13:31:12 -0400

fglrx-driver (8.28.8-1.1) unstable; urgency=low

  * NMU
  * debian/rules: use Xorg 7.1 binaries.
    (closes: Bug#382038, Bug#388812, Bug#388840)
  * debian/control: change "Provides: xserver-xorg-video" to "Provides:
    xserver-xorg-video-1.0".
  * debian/rules, debian/fglrx-driver.manpages: decompress atievents.8 man
    page in order to eliminate lintian error.
  * debian/fglrx-driver.init: add LSB section to eliminate lintian
    warning.

 -- Chris Hanson <cph@debian.org>  Fri, 22 Sep 2006 21:45:56 -0400

fglrx-driver (8.28.8-1) unstable; urgency=low

  [ Flavio Stanchina ]
  * Acknowledge NMU; adding changes of unreleased versions for history.
    (Closes: #355485, #366564, #375001, #378496, #383974)

  * Close remaining "new upstream version available" bugs.
    (Closes: #369039, #369043)

  * Standards-Version: 3.7.2

  * Change debian/rules and debian/control to hardcode X implementation and
    version. Now we just depend on X.Org version 7.0 and above.

  * Update man pages. Daniel Leidert, the manpages maintainer, says Debian's
    docbook stuff is hopelessly outdated, so I'm using precompiled man pages
    provided by Daniel instead of building them from the DocBook sources.
    Therefore, also remove the docbook stuff from the build dependencies.
    (Closes: #360819, #360822, #369627)

  * Patch firegl-public.c to use CONFIG_SMP rather than a custom macro defined
    by make.sh, as that script is not called when building with Linux 2.6.
    (Closes: #364762)

  * fglrx-driver provides xserver-xorg-video.
    (Closes: #365015, #385680)

  * Clean up debian/NEWS and debian/TODO.

  [ Chris Hanson ]
  * Add atieventsd and associated ACPI files.
  * Fix lintian errors:
    - debian/control: Add pre-depends on x11-common.
    - debian/fglrx-driver.shlibs: Update for changed libs.

 -- Flavio Stanchina <flavio@stanchina.net>  Sat,  9 Sep 2006 14:05:04 +0200

fglrx-driver (8.28.8-0.1) unstable; urgency=low

  * Non-maintainer upload to get some of the worst issues fixed. Thanks to
    Marco von Zwetselaar for doing most of the preliminary grunt work.
  * New upstream version.
    * Fixes issues with kernel panics. (Closes: #366564, #355485)
    * Fixes FTBFS with newer kernels. (Closes: #378496, #375001)
    * Fixes FTBFS with newer Qt. (Closes: #383974)
    * Adapted patches 00-make.sh and 02-Makefile for the new source versions
      (taken directly from Marco's packages).
    * Removed obsolete patches 22-intermodule and 23-noiommu (integrated into
      upstream, fixes issues with newer kernels).

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 26 Aug 2006 02:14:54 +0200

fglrx-driver (8.27.10-1) UNRELEASED; urgency=low

  * New upstream version. Thanks to Chris for the patch.
    - Fixes kernel module compilation problems with Linux 2.6.17.

 -- Flavio Stanchina <flavio@stanchina.net>  Thu,  3 Aug 2006 23:06:00 +0200

fglrx-driver (8.26.18-1) UNRELEASED; urgency=low

  * New upstream version.

  * Highlights from the release notes:
    - Hotplug Support for Digital Flat Panels.
    - Thermal Event Power Management.

 -- Flavio Stanchina <flavio@stanchina.net>  Mon, 26 Jun 2006 17:42:25 +0200

fglrx-driver (8.25.18-1) UNRELEASED; urgency=low

  * New upstream version.

  * Highlights from the release notes:
    - Support for the FireGL V2200, V3350, V3400, V5200, V7200, V7300, V7350.
    - The internal AGP GART is no longer provided.

  * Bugs fixed upstream:
    - Running two X servers simultaneously no longer results in the system
      failing to respond.
    - Toggling between console mode and X Server graphical mode no longer
      results in a system hang.
    - Attempting to enable clone mode or extended desktop mode no longer
      results in the secondary display device failing to activate when using
      the ATI Control Panel.

 -- Flavio Stanchina <flavio@stanchina.net>  Mon, 29 May 2006 11:00:09 +0200

fglrx-driver (8.24.8-1) unstable; urgency=low

  * New upstream version.
    (Closes: #362557)

  * X.Org 7.0 support.
    (Closes: #362087, #362278, #362485)

  * Add patches from Gentoo to support kernel 2.6.16:
    - debian/patches/22-intermodule.patch
    - debian/patches/23-noiommu.patch
    [thanks to Joerg (aka Kano) for the links]

  * Add file "fglrx-supported.txt" to the fglrx-driver documentation: it's a
    complete list of the chipsets supported by the fglrx driver, as reported
    by the driver itself in the X.Org log file.

  * Split README.Debian: the part about building the kernel module goes into
    the fglrx-kernel-src package. While we're at it, expand said part by
    picking from the instructions of my old unofficial packages.
    (Closes: #343932)

  * Remove rpm from the build dependencies as it is not needed anymore.

 -- Flavio Stanchina <flavio@stanchina.net>  Tue, 18 Apr 2006 00:01:11 +0200

fglrx-driver (8.23.7-1) unstable; urgency=low

  [ Flavio Stanchina ]
  * New upstream version. Highlights from the release notes:
    - OpenGL 2.0 Enhancement
    - Full Scene Anti-Aliasing Support
    (Closes: #356135)

  [ Steinar H. Gunderson ]
  * Fix typo in debian/man script, fixing FTBFS.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 19 Mar 2006 03:45:01 +0100

fglrx-driver (8.22.5-1) UNRELEASED; urgency=low

  * New upstream version.
    (Closes: #352487)
  * Revamp the packaging scripts to pick the upstream files from an unpacked
    (and cleaned up) ATI installer's directory structure, which allows us to
    take advantage of the X.Org 6.9 binaries available therein.
    (Closes: #345755)

 -- Flavio Stanchina <flavio@stanchina.net>  Mon, 27 Feb 2006 23:53:07 +0100

fglrx-driver (8.21.7-1) UNRELEASED; urgency=low

  * New upstream version. New features include OpenGL 2.0 support.
    (Closes: #349369)
  * Acknowledge NMU. Thanks Norbert!
    (Closes: #345040, #346173)
  * Add shlibs file to fix problem with diversion.
    (Closes: #343997)
  * Remove dummy file "debian/include/fglrx_pp_proto.h" because it's now
    shipped with the control panel's source code.
  * Update man pages.

 -- Flavio Stanchina <flavio@stanchina.net>  Wed, 25 Jan 2006 12:00:26 +0100

fglrx-driver (8.20.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added patch from http://lkml.org/lkml/2005/12/11/26 to get the driver
    working with recent kernels. (closes: #345040)

 -- Norbert Tretkowski <nobse@debian.org>  Fri,  6 Jan 2006 20:29:35 +0100

fglrx-driver (8.20.8-1) unstable; urgency=low

  * New upstream version. Highlights from the release notes:
    - Attempting to resume from system suspension no longer results in the
      system failing to respond.
    - Kernel module compile issues with the stock 2.6.13 and 2.6.14 kernel are
      now resolved.

  * Add support for amd64. The .orig.tar.gz file now contains the pristine
    upstream i386 and amd64 RPM files: this is less than ideal because we're
    shipping several megabytes of binary files we'll never use and two copies
    of the few files that are actually source code, but hand-picking only the
    files we actually use would be a tedious and error-prone process.
    (Closes: #341077)
    - Update copyright file accordingly.
    - Add build dependency on rpm.

  * dpkg-divert can't move files between different filesystems. Therefore,
    divert libGL to a subdirectory of /usr/X11R6/lib rather than /usr/share:
    the latter can in fact be on a different filesystem, if I understand the
    FHS correctly. On amd64, the same reasoning applies to the diversion of
    the 32-bit libGL: keep it within /emul/ia32-linux.
    (Closes: #341458)
    - This change involves some trickery with dpkg-divert. I tested several
      upgrade and downgrade scenarios and I hope I got it right, but please
      keep an eye open for any mishaps.
    - While we're at it, libGL is not architecture-independent so placing it
      anywhere within /usr/share was incorrect anyway...

  * Add dummy file "debian/include/fglrx_pp_proto.h" to be able to build the
    control panel's source code without patching it.
  * Don't ignore errors when building the control panel.
  * Add man pages from Daniel Leidert.
  * Set versioned dependency in the -dev package.
  * The driver suggests the control panel.
  * Fix handling of DEB_BUILD_OPTIONS:
    - let dh_strip handle "nostrip";
    - honor "noopt" and pass CFLAGS to sub-makes and gcc.
  * Make lintian happy (or at least happier):
    - remove unneeded extra license files;
    - add ldconfig symlinks for the shared libraries;
    - add overrides for a few problems we can't fix, at least for now.
  * Fix debian/rules to avoid installing CVS directories.

 -- Flavio Stanchina <flavio@stanchina.net>  Tue, 13 Dec 2005 12:58:39 +0100

fglrx-driver (8.19.10-1) unstable; urgency=low

  * New upstream version. Highlights from the release notes:
    - PowerPlay(tm) Support
    - fgl_glxgears Update
    - Initial Suspend and Resume Support
    - The latest proprietary driver introduces a resolution for drmMap
      failures on 64bit NLD9 SP2 and 64bit Ubuntu Breezy distribution,
      resolving an issue that prevented 3D acceleration.
    [thanks to Alexandru for the patch]
  * Initial upload to Debian.
    - Include the complete license in debian/copyright.
    - Rename control panel package from fglrx-control-qt3 to fglrx-control.
    - Remove fglrx-sources package, it belongs in the source package.
  * Stop patching the control panel source code due to licensing issues; this
    is a workaround until ATI changes clause 1.d.vi of the license.

 -- Flavio Stanchina <flavio@stanchina.net>  Thu, 17 Nov 2005 22:34:57 +0100

fglrx-driver (8.18.8-1) experimental; urgency=low

  * New upstream version (minor update).
  * Updated desktop file.
    [thanks to Daniel Leidert]
  * Remove call to QApplication::setStyle() from panel/main.cpp, because:
    - it was overriding the user's preferred window style;
    - it caused compilation errors in some cases.
    [thanks to Aaron for the patch]
  * Clean up the control panel's makefile; among other things, stop creating a
    bzipped copy of the panel binary that we don't use.
  * Moved binaries from usr/X11R6/bin to usr/bin.
  * Kernel 2.6.14 removes register_ioctl32_conversion() for AMD64.
  * Build-Depends on libstdc++5 because the prebuilt binaries require it.

 -- Flavio Stanchina <flavio@stanchina.net>  Thu, 10 Nov 2005 21:55:02 +0100

fglrx-driver (8.18.6-1) experimental; urgency=low

  * New upstream version. Highlights from the release notes:
    - Dynamic Clock Gating
    - Enhanced Support for OpenGL Development
    - Dual Link Monitor Support
    - Xinerama Support
    - New X Server Configuration Utility
    [thanks to Alexandru for the patch]
  * Updated Build-Depends to handle both XFree86 and X.Org packages, as
    suggested by Michel Dänzer and others.
  * Add --referer=ati.com to the wget command line.

 -- Flavio Stanchina <flavio@stanchina.net>  Sat, 22 Oct 2005 16:05:04 +0200

fglrx-driver (8.16.20-1) experimental; urgency=low

  * New upstream version. Highlights from the release notes:
    - workstation performance improvement
    - improved display detection support
    - Linux 2.6.12 kernel support
    - GCC 4.0 support

 -- Flavio Stanchina <flavio@stanchina.net>  Sat, 20 Aug 2005 11:08:25 +0200

fglrx-driver (8.14.13-2) experimental; urgency=low

  * debian/rules: run dh_shlibdeps with --exclude=emul to avoid errors on
    32-bit libraries when building the 64-bit packages.
    - We're not interested in 32-bit library dependencies anyway; users that
      want to run 32-bit applications should install ia32-libs separately.

 -- Flavio Stanchina <flavio@stanchina.net>  Mon, 13 Jun 2005 11:42:23 +0200

fglrx-driver (8.14.13-1) experimental; urgency=low

  * New upstream version.
  * Create directory "usr/share/fglrx/diversions" in the preinst script again,
    because the package hasn't been unpacked yet at this point.
    - Unfortunately, due to what appears to be a bug in dpkg-divert, if you
      installed 8.12.10-2 from scratch rather than upgrading, it's very likely
      that the existing /usr/X11R6/lib/libGL.so.1.2 has been deleted. This has
      no consequences until the fglrx driver is installed, but if you remove
      it in the future, you'll need to reinstall xlibmesa-gl.
  * [amd64] AMD64 RPMs are in a different directory.
    [thanks to Alexandru for the hint]
  * [amd64] Patch libGL.so at package creation, not during build.

 -- Flavio Stanchina <flavio@stanchina.net>  Sun, 12 Jun 2005 18:48:53 +0200

fglrx-driver (8.12.10-2.1) experimental; urgency=low

  * debian/control: also Build-Depend on libxtst-dev... Ooops...

 -- Flavio Stanchina <flavio@stanchina.net>  Thu,  2 Jun 2005 23:33:27 +0200

fglrx-driver (8.12.10-2) experimental; urgency=low

  * debian/control: Build-Depend on x-dev and libx11-dev rather than the
    transitional xlibs-dev package.
  * debian/rules: remove no-longer-used $(README) target.
  * debian/rules: revamp build target to get rid of "build-stamp".
  * debian/rules: put directory "usr/share/fglrx/diversions" in the package
    rather than creating it in the preinst script.
  * debian/rules: run dh_strip to remove unneeded debug information.
  * debian/rules: removed --remove-files from the tar call because
    a) it's pointless, as it is followed by "rm -r modules" already and
    b) doesn't work with tar 1.15 that wants options before file names.
    [thanks to Eduard Bloch and others for noticing this]
  * debian/rules: compress the module tarball with bzip2 and name it
    "fglrx.tar.bz2"; update instructions accordingly.
    [thanks to Eduard Bloch for the suggestion]
  * module/rules: warn the user if the unpacked source doesn't match the
    installed fglrx-kernel-src package's version.
  * module/control.template: upgrade Recommends: to Depends: fglrx-driver.
  * [amd64] Add ia32-libs to Build-Depends.
  * [amd64] Patch usr/X11R6/lib64/libGL.so.1.2 to fix the lib64 issue;
    Build-Depend on rpl for this purpose.

  Changes by Eduard Bloch:
  * debian/README.Debian: removed the long collection of module-assistant
    calls with kernel-source specs again and again.
  * debian/control: moved kernel-package from Depends to Recommends in
    fglrx-kernel-src (it does not require it, even documented in
    README.Debian) and added module-assistant as alternative.

 -- Flavio Stanchina <flavio@stanchina.net>  Thu,  2 Jun 2005 13:06:41 +0200

fglrx-driver (8.12.10-1) experimental; urgency=low

  * New upstream version. Thanks to Alexandru for the patch.
  * debian/rules: handle X.Org 6.8.2 (yes, I switched to Ubuntu's X.Org).
  * debian/patches-8.10.19/panel.diff: expand the "environment incomplete"
    error message in the panel's Makefile to show exactly what it was looking
    for, i.e. "$(MK_QTDIR)/include/qglobal.h"; hopefully, people seeing such
    message will understand that they need to install the Qt3 header files.

 -- Flavio Stanchina <flavio@stanchina.net>  Sat,  9 Apr 2005 17:51:11 +0200

fglrx-driver (8.10.19-2) experimental; urgency=low

  * Ooops... "README.Debian" wasn't being put in the binary packages. Moved
    it into the debian directory so dh_installdocs finds it.
  * Add patches to support kernel 2.6.11:
    - 09-agp_backend
    - 10-remap_pfn_range
    - 11-four-level-pagetables
  * Add more patches in the limbo directory, and also put them in the kernel
    module's source tarball. Thanks to Alexandru for the patches.
  * Add Conflicts: nvidia-glx to fglrx-driver.
  * Change some Recommends: to Suggests:.

 -- Flavio Stanchina <flavio@stanchina.net>  Sun, 27 Mar 2005 11:52:40 +0200

fglrx-driver (8.10.19-1) experimental; urgency=low

  * New upstream version.
  * Patches 07-include_pagemap, 08-firegl_pci_find_class included upstream.

 -- Flavio Stanchina <flavio@stanchina.net>  Thu, 17 Feb 2005 11:12:57 +0100

fglrx-driver (8.8.25-3) experimental; urgency=low

  * Fix silly bug in preinst's diversion of 32-bit libGL.so on AMD64.
    [thanks to Nicolas Fournier]

 -- Flavio Stanchina <flavio@stanchina.net>  Sat,  5 Feb 2005 16:13:51 +0100

fglrx-driver (8.8.25-2) experimental; urgency=low

  * AMD64 support! Thanks to Alexandru, Peter and others.
  * X.Org support! Thanks to Alexandru.
    - Note that I'm not building binary packages for AMD64 and X.Org, you'll
      need to build them yourself.
  * Removed changelog entries before 8.8.25 to unclutter the web page; they
    are still available as "changelog.old" for those interested.

 -- Flavio Stanchina <flavio@stanchina.net>  Sat, 29 Jan 2005 15:31:17 +0100

fglrx-driver (8.8.25-1) experimental; urgency=low

  * New upstream version.
  * Trying to support module-assistant:
    - drop XFree86 version from package names
    - drop XFree86 and package versions from kernel source tarball's name
    - create link /usr/share/modass/packages/fglrx-kernel-src -> default.sh
  * Patch from Øystein Gisnås to make 'make-kpkg modules' work. It had been
    sitting in my inbox for a while now...
  * Support for previous driver versions has been removed to unclutter things
    a little bit.

 -- Flavio Stanchina <flavio@stanchina.net>  Tue, 18 Jan 2005 21:58:49 +0100

